![Nextcloud](https://raw.githubusercontent.com/docker-library/docs/e563b6cd3d797e2b3695576d20041227d1fb7536/nextcloud/logo.svg?sanitize=true "Nextcloud")

**NOTE:** There is no longer a `latest` or `fpm-alpine` tag, as the latest version from nextcloud would be `19` but at the moment, I consider `18` more stable, you will now have to specify which major version you need: `16-fpm-alpine`,`16-fpm`,`17-fpm-alpine`,`17-fpm`,`18-fpm-alpine`,`18-fpm`,`19-fpm-alpine`,`19-fpm`. This should prevent major problems with an unintended upgrade from 18 to 19 (you cannot easily downgrade).

In the fpm tag, the `www-data` user has been modified to uid/gid 82, to coincide with the alpine version, and also work with the companion nginx container, [`bkraul/nginx-nextcloud`](https://hub.docker.com/repository/docker/bkraul/nginx-nextcloud).

# Description
This image is fully based on the latest official [fpm-alpine/fpm Nextcloud](https://hub.docker.com/_/nextcloud/). No modifications to how the image works have been made, except for adding features. For more information on how to add features [go here](https://github.com/nextcloud/docker/tree/master/.examples).

# Features
This image adds built-in support for the following features:
* Samba
* Redis
* ImageMagick: (The latest `fpm-alpine` image for version 16 does not support any image formats (including the needed SVG format), due to it missing `imagemagick` package). This image corrects that.

# Current Versions
The current `19-fpm-alpine` and `19-fpm` version is: **19.0.0**\
The current `18-fpm-alpine` and `18-fpm` version is: **18.0.6**\
The current `17-fpm-alpine` and `17-fpm` version is: **17.0.7**\
The current `16-fpm-alpine` and `16-fpm` version is: **16.0.11**


# Source
https://git.belmankraul.com/docker/nextcloud

# Issues
For issues or questions, visit https://discourse.belmankraul.com/c/docker/nextcloud
